foreman discovery bug

09/29/2014 03:39 AM - junior white

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Has duplicate Foreman - Bug #5701: Creating a host without OS set gives undef... Closed 05/13/2014

History

#1 - 09/29/2014 03:40 AM - junior white

- File production.log added

We have some problem which might need your help when we use the foreman discovery , and it is listed below:

The operating environment:

Foreman version 1.6.0

Foreman-proxy version 1.6.0

Foreman discovery version 1.3.0

Ovirt image version 0.5.0-1

Ruby version 1.9.3p484

When we boot a server from PEX and load it to discovery image, then find it in discovery hosts in foreman web page, dhcp records already exists

after we summit all these. The following error comes out after we click ack and then overwrite.

undefined method `boot_filename' for nil:NilClass

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to attach the Full

trace and relevant log entries.

NoMethodError

undefined method `boot_filename' for nil:NilClass

app/models/concerns/orchestration/dhcp.rb:60:in `dhcp_attrs'

app/models/concerns/orchestration/dhcp.rb:16:in `dhcp_record'

app/models/concerns/orchestration/dhcp.rb:140:in `dhcp_conflict_detected?'

app/models/concerns/orchestration.rb:47:in `valid?'

app/models/concerns/foreman/sti.rb:29:in `save_with_type'

app/models/taxonomy.rb:44:in `block in no_taxonomy_scope'

app/models/taxonomy.rb:51:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:148:in `as_location'

app/models/taxonomy.rb:50:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:113:in `as_org'

app/models/taxonomy.rb:49:in `as_taxonomy'

app/models/taxonomy.rb:43:in `no_taxonomy_scope'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

#2 - 09/29/2014 04:30 AM - Lukas Zapletal
- Status changed from New to Duplicate

5701

#3 - 09/29/2014 04:31 AM - Lukas Zapletal

- Has duplicate Bug #5701: Creating a host without OS set gives undefined method `boot_filename' exception added

#4 - 10/08/2014 04:44 AM - junior white

Lukas Zapletal wrote:

5701

 I know ，but the BUG  is not resolved !

This problem vexed me for a long time,, could not find the solution!

Files

production.log 111 KB 09/29/2014 junior white
